/**********************************************************************
ID: conffile.c

Copyright 2001, Bulent Yilmaz

Part of Microbrew MicroSieve
USENET SPAM filter

http://www.microbrew.org/products/usieve.html


MicroSieve is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

MicroSieve is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MicroSieve; if not, write to the Free Software Foundation, Inc.,
59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

**********************************************************************/
#include "conffile.h"

/* Local only function */
char *trim(char *mystr) {

    *(strchr(mystr, '\n'))=0;
    
    return mystr;
}

long int getmaxartsize() {
    FILE *conffile;
    char value[256];
    long int retval=0;
    
    conffile=fopen(CONF_FILE, "r");
    if(conffile) {
    	while(!feof(conffile)) {
    	    fgets(&value[0], 255, conffile);
    	    if(strstr(value, "MaxArticleSize")) {
    	        if((retval=(atol(strchr(&value[0], ' '))))!=0) {
    	            fclose(conffile);
    	            return retval;
    	        } else cflog("Could not get meaningful value for MaxArticleSize in " CONF_FILE);
    	    } 
    	}
    	cflog("MaxArticleSize is not defined in " CONF_FILE);
    	fclose(conffile);
    } else cflog("Could not open configuration file: " CONF_FILE);
    
    cflog("Using default MaxArticleSize of 1048576");
    return 1048576;
}

char *getlogfilename() {
    FILE *conffile;
    char value[256];
    char *retval=0;
    
    conffile=fopen(CONF_FILE, "r");
    if(conffile) {
    	while(!feof(conffile)) {
    	    fgets(&value[0], 255, conffile);
    	    if(strstr(value, "LogFile")) {
    	        if( (retval = (strdup( trim(strchr(&value[0], ' ') + 1) )) )!=0 ) {
    	            fclose(conffile);
    	            return retval;
    	        } else puts("Could not get meaningful value for LogFile in " CONF_FILE);
    	    } 
    	}
    	puts("LogFile is not defined in " CONF_FILE);
    	fclose(conffile);
    } else puts("Could not open configuration file: " CONF_FILE);
    
    puts("Using default LogFile name of " DEFAULT_LOGFILE);
    return strdup(DEFAULT_LOGFILE);
}

char *getpidfilename() {
    FILE *conffile;
    char value[256];
    char *retval=0;
    
    conffile=fopen(CONF_FILE, "r");
    if(conffile) {
    	while(!feof(conffile)) {
    	    fgets(&value[0], 255, conffile);
    	    if(strstr(value, "PIDFile")) {
    	        if( (retval = ((strdup( trim(strchr(&value[0], ' ')+1)) )) )!=0 ) {
    	            fclose(conffile);
    	            return retval;
    	        } else cflog("Could not get meaningful value for PIDFile in " CONF_FILE);
    	    } 
    	}
    	cflog("PIDFile is not defined in " CONF_FILE);
    	fclose(conffile);
    } else cflog("Could not open configuration file: " CONF_FILE);
    
    cflog("Using default PIDFile name of " DEFAULT_PIDFILE);
    return strdup(DEFAULT_PIDFILE);
}

char *getarticlelogname() {
    FILE *conffile;
    char value[256];
    char *retval=0;
    
    conffile=fopen(CONF_FILE, "r");
    if(conffile) {
    	while(!feof(conffile)) {
    	    fgets(&value[0], 255, conffile);
    	    if(strstr(value, "ArticleLog")) {
    	        if( (retval = ((strdup( trim(strchr(&value[0], ' ')+1)) )) )!=0 ) {
    	            fclose(conffile);
    	            return retval;
    	        } else cflog("Could not get meaningful value for ArticleLog in " CONF_FILE);
    	    } 
    	}
    	cflog("ArticleLog is not defined in " CONF_FILE);
    	fclose(conffile);
    } else cflog("Could not open configuration file: " CONF_FILE);
    
    cflog("Using default ArticleLog name of " DEFAULT_ARTICLELOG);
    return strdup(DEFAULT_ARTICLELOG);
}

char *getautoacceptregex() {
    FILE *conffile;
    char value[256];
    char *retval=0;
    
    conffile=fopen(CONF_FILE, "r");
    if(conffile) {
    	while(!feof(conffile)) {
    	    fgets(&value[0], 255, conffile);
    	    if(strstr(value, "AutoAcceptRegex")) {
    	        if( (retval = ((strdup( trim(strchr(&value[0], ' ')+1)) )) )!=0 ) {
    	            fclose(conffile);
    	            return retval;
    	        } else cflog("Could not get meaningful value for AutoAcceptRegex in " CONF_FILE);
    	    } 
    	}
    	cflog("AutoAcceptRegex is not defined in " CONF_FILE);
    	fclose(conffile);
    } else cflog("Could not open configuration file: " CONF_FILE);
    
    cflog("Using default AutoAcceptRegex of " DEFAULT_AUTOACCEPTREGEX);
    return strdup(DEFAULT_AUTOACCEPTREGEX);
}
