/**********************************************************************
ID: logging.c

Copyright 2001, Bulent Yilmaz

Part of Microbrew MicroSieve
USENET SPAM filter

http://www.microbrew.org/products/usieve.html


MicroSieve is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

MicroSieve is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MicroSieve; if not, write to the Free Software Foundation, Inc.,
59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

**********************************************************************/

#include "logging.h"
static FILE *ofile;
static int cflog_file_open=0;
static int logged_lines=0;

FILE *getloghandle() {

    logged_lines++;
    return ofile;

}

int cflog(char *logstr) {

    char *logfilename=0;

    if(!cflog_file_open) {
      if( (logfilename = getlogfilename()) !=0 ) {
        ofile=fopen(logfilename, "w");
        free(logfilename);
        if(!ofile) {
            puts("Could not open file... Continuing");
            cflog_file_open=-1;
        } else cflog_file_open=1;
      }
    }

    if(logged_lines > MAX_LOG_LINES) cflogreopen();

    if(cflog_file_open!=-1) {
    	fputs(logstr, ofile);
    	fputs("\n", ofile);
    	fflush(ofile);
    	logged_lines++;
    }
    
    return 0;
    
}

int cflogreopen() {

  char *logfilename;

  fclose(ofile);
  if( (logfilename = getlogfilename()) !=0 ) {
    ofile=fopen(logfilename, "w");
    free(logfilename);
    if(!ofile) {
        puts("Could not open file... Continuing");
        cflog_file_open=-1;
    } else {
        cflog_file_open=1;
        logged_lines=0;
    }
  }
    
  return 0;
}

int logarticle(char *article, long int artlen) {

  char *artfilename;
  FILE *artfile;
  
  if( (artfilename = getarticlelogname()) !=0 ) {  
    artfile=fopen(artfilename, "w");
    free(artfilename);
    if(!artfile) {
    	cflog("Could not store article");
    	return -1;
    } else {
    	fwrite(article, sizeof(char), artlen, artfile);
	fclose(artfile);
    }
  } else cflog("Could not get article log filename");
    
  return 0;
}

int writepid() {
  int mypid=0;
  char *pidfilename;
  FILE *pidfile;
    
  mypid=getpid();
  if( (pidfilename = getpidfilename()) !=0 ) {  
    pidfile=fopen(pidfilename, "w");
    free(pidfilename);
    if(!pidfile) {
    	cflog("Could not write out pid file.");
    	return -1;
    } else {
    	fprintf(pidfile,"%d\n",mypid);
	fclose(pidfile);
    }
  } else cflog("Could not get article PID file name");

  return 0;
}
