#!/bin/sh
#**********************************************************************
# ID: makeconf.sh
#
# Copyright 2001, Bulent Yilmaz
#
# Part of Microbrew MicroSieve
# USENET SPAM filter
#
# http://www.microbrew.org/products/usieve.html
#
#
# MicroSieve is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# MicroSieve is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with MicroSieve; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
#
#**********************************************************************

CONFFILE=$1/etc/usieve.conf
LOGDIR=$1/var

echo
echo

if test -f "$CONFFILE"; then

    echo "The configuration file $CONFFILE exists."

else

    echo "Creating configuration file $CONFFILE."

    echo "#@0.3.1" > $CONFFILE
    echo "# MicroSieve Configuration File" >> $CONFFILE
    echo "MaxArticleSize 1048576" >> $CONFFILE
    echo "AutoAcceptRegex !!" >> $CONFFILE
    echo "LogFile $LOGDIR/usieve.log" >> $CONFFILE
    echo "PIDFile $LOGDIR/usieve.pid" >> $CONFFILE
    echo "ArticleLog $LOGDIR/usieve.art" >> $CONFFILE

    echo "Please check and modify $CONFFILE to meet your needs."

fi

echo
